import React from 'react';
import { connect } from 'umi';
import SysMsgInfoComponent from '../../../components/CommonElementEvent/SysMsgInfo';

function sysMsgInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const machineProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <SysMsgInfoComponent {...machineProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(sysMsgInfo);
